[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# fpS_ISFIFO

Is file a FIFO

## Declaration

Source position: bunxovlh.inc line 87

`function fpS_ISFIFO(`
`m: TMode`
`):Boolean;`

## Description

FpS_ISFIFO checks the file mode m to see whether the file is a fifo (a named pipe). If so it returns True.

## See also

FpFStat |  | Retrieve file information about a file descriptor.
FpS_ISLNK |  | Is file a symbolic link
FpS_ISREG |  | Is file a regular file
FpS_ISCHR |  | Is file a character device
FpS_ISBLK |  | Is file a block device
FpS_ISDIR |  | Is file a directory
FpS_ISSOCK |  | Is file a unix socket

Documentation generated on: Feb 26 2014